Subject: Re: [PATCH 1/4] powerpc/powernv: remove the unused pnv_pci_set_p2p function

From: Christoph Hellwig <[email-masked]>
Date: Tue, 25 Jun 2019 10:28:40 +0200

On Tue, Jun 25, 2019 at 10:26:03AM +0200, Cédric Le Goater wrote:
> > @@ -280,13 +280,6 @@ int64_t opal_xive_allocate_irq(uint32_t chip_id);
> >  int64_t opal_xive_free_irq(uint32_t girq);
> >  int64_t opal_xive_sync(uint32_t type, uint32_t id);
> >  int64_t opal_xive_dump(uint32_t type, uint32_t id);
> > -int64_t opal_xive_get_queue_state(uint64_t vp, uint32_t prio,
> > -				  __be32 *out_qtoggle,
> > -				  __be32 *out_qindex);
> > -int64_t opal_xive_set_queue_state(uint64_t vp, uint32_t prio,
> > -				  uint32_t qtoggle,
> > -				  uint32_t qindex);
> > -int64_t opal_xive_get_vp_state(uint64_t vp, __be64 *out_w01);
> 
> 
> This hunk seems unrelated.
> 
> These OPAL calls are new. They are used by the XIVE KVM device 
> to get/set the interrupt controller state of a guest. 
> 
> 
> >  int64_t opal_pci_set_p2p(uint64_t phb_init, uint64_t phb_target,
> >  			uint64_t desc, uint16_t pe_number);
> 
> I suppose this is the one ^ you wanted to remove.

Thanks.  I'm pretty sure I had this fixed up before due to a builtbot
warning, but somehow the old version popped up again.